Create Payment Link

API to generate vanilla and subscription payment links.

Payment Status

Once your customer completes a payment, the redirect URL will be appended with the following params

  • createdAt: The date the charge was captured at
  • paymentLinkId: The payment link id
  • status: indicates the payment status, whether captured or failed
  • transactionId: The transaction / charge id related to the payment

You may also get notified about a payment's status by setting up a webhook. Details here


A third approach to check the transaction status is by calling our transaction info API here


Sample redirect url after a successful payment

https://www.mamopay.com/?createdAt=2023-08-09-16-42-35&paymentLinkId=MB-LINK-3216D27C9D&status=captured&transactionId=MPB-CHRG-BEE56990A9


For Payment Testing

To make payments with different use cases on the test environment, you can use the card details below alongside the below CVV and expiry date.

  • CVV: 123
  • Expiry: 01/28
Card NumberPayment Status3DSAddress RequiredCountry
4659 1055 6905 1157SuccessXXGB
4242 4242 4242 4242SuccessXGB
4111 1111 1111 1111SuccessUS
4567 3613 2598 1788FailXXGB
4095 2548 0264 2505FailXUS

3DS

If prompted for a password, enter Checkout1!


Subscriptions

To create a subscription payment link, create the subscription first using the Create Subscription API, then pass its identifier as subscription_id below with link_type set to inline. The inline subscription object is a legacy, backwards-compatible alternative — when setting it up, if both end_date and payment_quantity were defined, end_date takes precedence.

Body Params
Responses

404

Invalid request

500

Unexpected error

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json